package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuMessageCardCollection extends AbstractObjectCollection 
{
    public FeishuMessageCardCollection()
    {
        super(FeishuMessageCardInfo.class);
    }
    public boolean add(FeishuMessageCardInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuMessageCardCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuMessageCardInfo item)
    {
        return removeObject(item);
    }
    public FeishuMessageCardInfo get(int index)
    {
        return(FeishuMessageCardInfo)getObject(index);
    }
    public FeishuMessageCardInfo get(Object key)
    {
        return(FeishuMessageCardInfo)getObject(key);
    }
    public void set(int index, FeishuMessageCardInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuMessageCardInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuMessageCardInfo item)
    {
        return super.indexOf(item);
    }
}